Bug 391838 - window doesn't scroll when cursor traverses dynamically-wrapped line
Summary: window doesn't scroll when cursor traverses dynamically-wrapped line
Status: RESOLVED FIXED
Alias: None
Product: frameworks-ktexteditor
Classification: Unclassified
Component: general (show other bugs)
Version: 5.44.0
Platform: Gentoo Packages Linux
: HI normal
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-13 23:36 UTC by glyphimor
Modified: 2018-03-20 18:52 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.45


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description glyphimor 2018-03-13 23:36:05 UTC
Tested w/ the following versions:

Gentoo Linux
kde-frameworks/ktexteditor-5.43.0
kde-frameworks/ktexteditor-5.44.0
kde-apps/kwrite-17.08.3
kde-apps/kate-17.08.3

Bug:

With Dynamic Word Wrap on, and a wrapped line at the bottom of the window, when moving the cursor down or right inside the wrapped line so that it passes beyond the visible text, kwrite/kate fails to automatically scroll down to keep pace with the cursor. The "Line x, Column y" readout in the lower-left-hand corner of the window continues to update, showing that the cursor is moving, but the cursor is past the bottom edge of the screen and isn't visible. The window only updates and scrolls down to "catch up" to the cursor when the cursor hits the end of the wrapped line.

Note that kwrite/kate only fails to scroll down -- for a wrapped line at the top of the window, moving the cursor up or left results in the screen scrolling up just fine.

Scrolling down works fine for lines that aren't long enough to be dynamically wrapped. Similarly, with Dynamic Word Wrap off, moving the cursor down scrolls fine, and moving the cursor right on a long line scrolls to the right fine.

Before I updated my KDE Frameworks packages today, this issue wasn't present in the last version I was using -- either 5.41 or 5.42.
Comment 1 Dominik Haumann 2018-03-14 10:55:03 UTC
Unfortunately, this is a regression of the fix for https://phabricator.kde.org/D10054
Comment 2 Dominik Haumann 2018-03-14 10:55:50 UTC
The regression is in both 5.43 ad 5.44, 5.42 is OK.
Comment 3 Dominik Haumann 2018-03-20 18:52:09 UTC
Git commit e75bde233b9fe6b1a7d24cc63fa9baf9e89de895 by Dominik Haumann.
Committed on 20/03/2018 at 18:51.
Pushed by dhaumann into branch 'master'.

Revert Fix: View jumps when Scroll past end of document is enabled

Unfortunately, this introduced a regression that scrolling down in
dynamically wrapped lines did not move the view at all. We need
to find a better fix, and introduce a unit test.
Related: bug 306745
FIXED-IN: 5.45

M  +2    -0    autotests/src/kateview_test.cpp
M  +1    -1    src/view/kateviewinternal.cpp

https://commits.kde.org/ktexteditor/e75bde233b9fe6b1a7d24cc63fa9baf9e89de895